---
title: Get a zone snippet content
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Snippets](https://developers.cloudflare.com/api/python/resources/snippets)

[Content](https://developers.cloudflare.com/api/python/resources/snippets/subresources/content)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Get a zone snippet content

snippets.content.get(strsnippet\_name, ContentGetParams\*\*kwargs) -> BinaryResponseContent

GET/zones/{zone\_id}/snippets/{snippet\_name}/content

Fetches the content of a snippet belonging to the zone.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Snippets Write``Snippets Read`

##### ParametersExpand Collapse

zone\_id: str

Use this field to specify the unique ID of the zone.

[Link to this property](<#(resource)%20snippets.content%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20zone_id%20%3E%20(schema)>)

snippet\_name: str

Identify the snippet.

[Link to this property](<#(resource)%20snippets.content%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20snippet_name%20%3E%20(schema)>)

##### ReturnsExpand Collapse

BinaryResponseContent

[Link to this property](<#(resource)%20snippets.content%20%3E%20(method)%20get%20%3E%20(network%20schema)>)

### Get a zone snippet content

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
content = client.snippets.content.get(
    snippet_name="my_snippet",
    zone_id="9f1839b6152d298aca64c4e906b6d074",
)
print(content)
data = content.read()
print(data)
```

##### Returns Examples